# surface plot of 2 point charges
# 2000 (c) Klaus Betzler
r(x,y)=sqrt(x*x+y*y)
v1(x,y)=  q1/(r((x-x0),y))
v2(x,y)=  q2/(r((x+x0),y))
vtot(x,y)=v1(x,y)+v2(x,y)
e1x(x,y)= q1*(x-x0)/r(x-x0,y)**3
e1y(x,y)= q1*(y)/r(x-x0,y)**3
e2x(x,y)= q2*(x+x0)/r(x+x0,y)**3
e2y(x,y)= q2*(y)/r(x+x0,y)**3
etotx(x,y)=e1x(x,y)+e2x(x,y)
etoty(x,y)=e1y(x,y)+e2y(x,y)
enorm(x,y)=sqrt(etotx(x,y)*etotx(x,y)+etoty(x,y)*etoty(x,y))
dx(x,y)=coef*etotx(x,y)/enorm(x,y)
dy(x,y)=coef*etoty(x,y)/enorm(x,y)
coef=.5;  x0=3.;  q1=1;  q2=1
xmin=-10.;  xmax=10.;  ymin=-10.;  ymax=10.
set xr [xmin:xmax];  set yr [ymin:ymax]
set zr [-4:6]
set isosam 60,60
set hidden3d
set ticslevel 0
set nokey; set noborder
set noxtics; set noytics; set noztics
set view 60, 25, 1, 1
splot vtot(x,y) w l
pause -1 "Make EPS"
set term post eps enh solid
set out "chargespp.ps"
replot
