# surface plot of Li concentration in lithium niobate
# 2000 (c) Klaus Betzler
GNULN=0
X(x)=x/1000
Y(y)=(y-1500)/2000
Li(z)=(z/199000+2.9)*49.5/3
set dgrid3d 40,30,8
set nokey
set hidden3d;  set view 60,110,1,1.2 
set ticslevel 0.2
set contour base
set cntrparam bspline;  set cntrparam levels auto 10
set xrange [ 0 : 4 ];  set yrange [ 0 : 8.7 ]
set zrange [ 49.44 : 49.50 ]
set xtics 0,1;  set ytics 0,1
set ztics 49.44,0.01;  set format z "%5.2f"
set xlabel "x [mm]" -2.5,-1;  set ylabel "z [mm]" -3,0
set zlabel "mol% Li_2O" -1,-1
splot "130695.dat" using (X($2)):(Y($3)):(Li($6)) w l
GNULN=1
# set term postscript eps enh solid "Helvetica" 22
# set output "lnhom.ps"
# replot
